Bug 858707 - "qpid-perftest.exe" sometimes fails with options "durable" = 1 and "heartbeat" > 0
"qpid-perftest.exe" sometimes fails with options "durable" = 1 and "heartbeat...
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Windows
low Severity medium
: ---
: ---
Assigned To: Chuck Rolke
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 09:27 EDT by Petra Svobodová
Modified: 2013-02-22 08:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petra Svobodová 2012-09-19 09:27:33 EDT
Description of problem:

"qpid-perftest.exe" fails on Windows at about 0.1% cases. The issues occurred more often (twice or three times) if "qpid-perftest" is built in MS Visual Studio 2010. The crashes always occurred with "durable" option value 1 and "heartbeat" option value larger than 0; the issue seems to be independent on broker option "--max-negotiate-time" value.

I could see two types of outputs:

1) [19:06:24] ERROR:localhost:'c:\qpid_VS2008\bin\Release\qpid-perftest.exe -s --unique-data yes --port 5672 --broker dhcp-37-203.lab.eng.brq.redhat.com --count 710 --npubs 1 --nsubs 1 --qt 1 --base-name perf_Server2008-x86_36_710 --mechanism PLAIN --durable 1 --mode shared --heartbeat 1 --tcp-nodelay', result:1, dur.:3.016
[19:06:24] DEBUG:stdout:
  
  Connection [10.34.37.159:51506-dhcp-37-203.lab.eng.brq.redhat.com:5672] closed
[19:06:24] DEBUG:stderr:
  2012-09-17 19:06:23 warning Connection [10.34.37.159:51506-dhcp-37-203.lab.eng.brq.redhat.com:5672] closed


2) [13:28:04] ERROR:localhost:'c:\qpid_VS2008\bin\Release\qpid-perftest.exe -s --unique-data yes --port 5672 --broker dhcp-37-202.lab.eng.brq.redhat.com --count 836 --npubs 1 --nsubs 1 --qt 1 --base-name perf_7-x64_129_836 --mechanism PLAIN --durable 1 --mode topic --heartbeat 1', result:None, dur.:101
[13:28:04] DEBUG:stdout:
  SubscribeThread exception: Connection [10.34.37.50:55753-dhcp-37-202.lab.eng.brq.redhat.com:5672] closed
  Controller exception: Connection [10.34.37.50:55754-dhcp-37-202.lab.eng.brq.redhat.com:5672] closed
[13:28:04] DEBUG:stderr:
  2012-09-17 13:26:25 warning Connection [10.34.37.50:55753-dhcp-37-202.lab.eng.brq.redhat.com:5672] closed
  2012-09-17 13:26:25 warning Connection [10.34.37.50:55754-dhcp-37-202.lab.eng.brq.redhat.com:5672] closed


Summary:
Total number of qpid-perftest runs: 67392 (qpid-perftest buit in VS 2008 33696 and one built in VS 2010 33696)

Number of failures:
ad 1) 17 (qpid-perftest buit in VS 2008 6 and one built in VS 2010 11); which is 0.03% from 67392 cases

ad 2) 48 (qpid-perftest buit in VS 2008 14 and one built in VS 2010 34); which is 0.07% from 67392 cases 

In total: 65 failures; which is 0.1% from 67392 cases
 

Version-Release number of selected component (if applicable):
qpid-cpp-win-3.1.0.2-1

How reproducible:
about 0.1%

Steps to Reproduce:
1. Unpack the qpid-cpp-win package
2. Run "qpid-perftest.exe" many times

  
Actual results:
"qpid-perftest.exe" fails.

Expected results:
"qpid-perfest.exe" should run and finish without exceptions.
Comment 1 Petra Svobodová 2012-09-19 09:42:45 EDT
In first case (1) "qpid-perftest" exited with  non zero error code and stdout and stderr contain message "connection closed".

In second case (2) "qpid-perftest" hanged and was killed after 100 seconds (typical duration around 5 secs) that's why result is marked as None.

Note You need to log in before you can comment on or make changes to this bug.